> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/geopard-api-pyyntojen-yleiskatsaus/66.-mutaatio-tallenna-lohko.md).

# 66. Mutaatio: Tallenna lohko

Muutos olemassa olevan "Pelto"-kohteen rajausten ja/tai nimen korjaamiseksi.&#x20;

{% hint style="info" %}
Muokkaaaksesi olemassa olevan "Pelto"-kohteen rajaa käytä `registerField` muuta.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
muutos SaveFieldSample {
  saveField(
    syöte: { 
      uuid: "<placeholder_of_field_uuid>"
      farmUuid: "<placeholder_of_farm_uuid>"
    	 nimi: "Pelto_nimi" 
    }
  ) {
    uuid
    farmUuid
    nimi
    rajaUrl
    topografiaKartat {
      uuid
      fieldUuid
      tila
      geoKartat {
        lyhytNimi
        url
        hexVärikoodit
        luokat
      }
    }
    etiketit {
      nimi
      arvo
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/geopard-api-pyyntojen-yleiskatsaus/66.-mutaatio-tallenna-lohko.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
